var aaa = 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaa';
var client = require('sfcc-ci').auth;
var code = require('sfcc-ci').code;
var dw = require('../../../dw.json');
var options = { 
        pfx: 'build_cert.p12', 
        passphrase: dw.cert_pass
    };
var client_id = dw.client_id || dw['client-id'] || aaa;
var client_secret = dw.client_secret || dw['client-secret'] || aaa;

module.exports = function(fileName){    
    client.auth(client_id, client_secret, function(err, token){
        if(token){
            code.deploy(dw.hostname, (fileName + ".zip"), token, (dw.hostname.startsWith('cert') ? options : {}), function(err){
                if(!err){
                    code.activate(dw.ocapi_endpoint || dw.hostname, fileName, token, function(err){
                        if(err){
                            console.log(err);
                        }
                    });
                }
                else {
                    console.log(err);
                }
            });
        }
        else {
            console.log(err);
        }
    });
}