var aaa = 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaa';
var client = require('sfcc-ci').auth;
var instance = require('sfcc-ci').instance;
var dw = require('../../../dw.json');
var options = { 
    pfx: 'build_cert.p12', 
    passphrase: dw.cert_pass 
};

var client_id = dw.client_id || dw['client-id'] || aaa;
var client_secret = dw.client_secret || dw['client-secret'] || aaa;

module.exports = function(fileName){
    client.auth(client_id, client_secret, function(err, token){
        if(token){
            instance.upload(dw.hostname, (fileName + ".zip"), token, (dw.hostname.startsWith('cert') ? options : {}), function(err){
                if(!err){
                    instance.import(dw.ocapi_endpoint || dw.hostname, (fileName + ".zip"), token, function(err, job_exe){
                        if(err){
                            console.log(err);
                        }
                        else{
                            console.log(job_exe);
                        }
                    });
                }
                else{
                    console.log(err);
                }
            });
        }
        else {
            console.log(err);
        }
    });
}